All Classes Namespaces Functions Variables Groups Pages
Diff Namespace Reference

the Diff namespace contains all the objects in the Util module More...

## Functions

list | diff (softlist old, softlist neww)
| returns differences in two lists More...
string | diff_text (string s1, string s2)
| shows differences between two strings considering lines as elementary unit. This function clones standard unix diff More...

## Detailed Description

the Diff namespace contains all the objects in the Util module

## Function Documentation

list Diff::diff | ( | softlist | old,
|  | softlist | neww
| ) |  |

returns differences in two lists

Example:
  my list $diff = diff((1, 2, 3, 4), (2, 3, 5));

Parameters

  old | some list
  neww | another list

string Diff::diff_text | ( | string | s1,
|  | string | s2
| ) |  |

shows differences between two strings considering lines as elementary unit. This function clones standard unix diff

Example:
  my string $diff = diff_text($str1, $str2);

Parameters

  s1 | some string
  s2 | another string